Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 454930

Summary: Qt Assistant for Qt4 opens a blank window
Product: [Fedora] Fedora Reporter: Marcelo <mmtsales>
Component: qt4Assignee: Rex Dieter <rdieter>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: 9CC: kevin, rdieter, than
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-09-10 07:19:13 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 446426    
Attachments:
Description Flags
assistant-qt4's window is empty none

Description Marcelo 2008-07-10 20:15:30 UTC
Qt Assistant for Qt4 opens a blank window. No index, no contents, nothing. Using
KDE 4.0.85, qt-x11-4.4.0-10.fc9.i386 and qt-doc-4.4.0-10.fc9.i386.
Qt4 documentation is installed in /usr/share/docs/qt4 and can be browsed
normally with konqueror/firefox.

Steps to Reproduce:
1. Open assistant-qt4
  
Actual results:
assistant-qt4's window is empty. No content (see attached screenshot)

Expected results:
Qt documentation should be shown

Comment 1 Marcelo 2008-07-10 20:15:30 UTC
Created attachment 311512 [details]
assistant-qt4's window is empty

Comment 2 Rex Dieter 2008-07-10 20:55:03 UTC
Strictly, this isn't a fedora bug, since fedora doesn't include qt44/kde41 for
F-9 (yet).

That said, I'm unable to reproduce myself (works here).

You could try resetting qt-related prefs by removing/renaming
~/.config/Trolltech.conf

Comment 3 Marcelo 2008-07-10 21:15:56 UTC
Well, I'm using kde-redhat packages. I know this isn't F9 yet, but my intention
was to prevent this bug from showing in F9's KDE 4.1 when it's released.
I've removed ~/.config/Trolltech.conf as instructed, but the problem persists.
Also, I've noticed that in assistant-qt4 -> Edit -> Preferences ->
Documentation, there's nothing listed in "Registered Documentation".
If I try to add manually the files in /usr/share/doc/qt4/qch, I get the
following message: "The specified file is not a valid Qt Help File!"


Comment 4 Kevin Kofler 2008-07-29 15:11:47 UTC
Hmmm, can anybody else reproduce this?

Comment 5 Kevin Kofler 2008-08-06 01:01:29 UTC
I was able to reproduce it, and figure out what causes it thanks to the terminal output: this happens if you don't have qt-sqlite installed. Apparently the new help system in Qt 4.4 depends on SQLite.

Comment 6 Rex Dieter 2008-08-06 03:31:00 UTC
confirmed.

fixed build on the way...
* Tue Aug 05 2008 Rex Dieter <rdieter@fedoraproject.org> 4.4.0-17
- fold -sqlite subpkg into main (#454930)

Comment 7 Marcelo 2008-08-07 21:17:00 UTC
Confirmed, problem solved after installing qt-sqlite. Thanks very much!

Comment 8 Fedora Update System 2008-08-07 23:49:01 UTC
kdebase-runtime-4.1.0-1.fc9, kdeaccessibility-4.1.0-1.fc9, kdegames-4.1.0-1.fc9, kdeplasma-addons-4.1.0-1.fc9, kdebase-workspace-4.1.0-8.fc9, kdebase-4.1.0-1.fc9.1, qgtkstyle-0.0-0.2.20080719svn693.fc9, qt-4.4.0-17.fc9, kdeutils-4.1.0-1.fc9.1, qscintilla-2.2-3.fc9, kdegraphics-4.1.0-3.fc9, kde-i18n-3.5.9-8.fc9, kdeartwork-4.1.0-1.fc9, kdeedu-4.1.0-1.fc9, compiz-0.7.6-3.fc9.1, PyQt4-4.4.2-2.fc9, automoc-1.0-0.8.rc1.fc9, phonon-4.2.0-2.fc9, akonadi-1.0.0-2.fc9, kdenetwork-4.1.0-2.fc9, quarticurve-kwin-theme-0.0-0.5.beta4.fc9, sip-4.7.6-1.fc9, kdepimlibs-4.1.0-2.fc9, kdelibs-4.1.0-4.fc9, kdebindings-4.1.0-5.fc9, kdesdk-4.1.0-1.fc9, kde-filesystem-4-17.fc9, soprano-2.1-1.fc9, kde-l10n-4.1.0-2.fc9, kdemultimedia-4.1.0-1.fc9, kdetoys-4.1.0-1.fc9, kdeadmin-4.1.0-2.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kdebase-runtime kdeaccessibility kdegames kdeplasma-addons kdebase-workspace kdebase qgtkstyle qt kdeutils qscintilla kdegraphics kde-i18n kdeartwork kdeedu compiz PyQt4 automoc phonon akonadi kdenetwork quarticurve-kwin-theme sip kdepimlibs kdelibs kdebindings kdesdk kde-filesystem soprano kde-l10n kdemultimedia kdetoys kdeadmin'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-6743

Comment 9 Fedora Update System 2008-08-12 18:18:34 UTC
kdelibs-4.1.0-5.fc9, kdeedu-4.1.0-1.fc9, quarticurve-kwin-theme-0.0-0.5.beta4.fc9, kdeartwork-4.1.0-1.fc9, kdetoys-4.1.0-1.fc9, kdesdk-4.1.0-1.fc9, PyQt4-4.4.2-2.fc9, kde-i18n-3.5.9-8.fc9, kdebase-4.1.0-1.fc9.1, sip-4.7.6-1.fc9, phonon-4.2.0-2.fc9, kdebase-workspace-4.1.0-8.fc9, automoc-1.0-0.8.rc1.fc9, kdegames-4.1.0-2.fc9, akonadi-1.0.0-2.fc9, soprano-2.1-1.fc9, konq-plugins-4.1.0-2.fc9, compiz-0.7.6-3.fc9.1, qt-4.4.1-2.fc9, qscintilla-2.2-3.fc9, kdepimlibs-4.1.0-2.fc9, kdegraphics-4.1.0-3.fc9, kdebindings-4.1.0-5.fc9, kdenetwork-4.1.0-2.fc9, kde-l10n-4.1.0-2.fc9, kdeplasma-addons-4.1.0-1.fc9, qgtkstyle-0.0-0.2.20080719svn693.fc9, kdeutils-4.1.0-1.fc9.1, kdemultimedia-4.1.0-1.fc9, kdebase-runtime-4.1.0-1.fc9, kdeadmin-4.1.0-2.fc9, kde-filesystem-4-17.fc9, kdeaccessibility-4.1.0-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kdelibs kdeedu quarticurve-kwin-theme kdeartwork kdetoys kdesdk PyQt4 kde-i18n kdebase sip phonon kdebase-workspace automoc kdegames akonadi soprano konq-plugins compiz qt qscintilla kdepimlibs kdegraphics kdebindings kdenetwork kde-l10n kdeplasma-addons qgtkstyle kdeutils kdemultimedia kdebase-runtime kdeadmin kde-filesystem kdeaccessibility'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-6743

Comment 10 Fedora Update System 2008-09-10 07:18:30 UTC
kdeedu-4.1.0-1.fc9, quarticurve-kwin-theme-0.0-0.5.beta4.fc9, kdeartwork-4.1.0-1.fc9, kdetoys-4.1.0-1.fc9, kdesdk-4.1.0-1.fc9, PyQt4-4.4.2-2.fc9, kde-i18n-3.5.9-8.fc9, kdebase-4.1.0-1.fc9.1, sip-4.7.6-1.fc9, kdebase-workspace-4.1.0-8.fc9, automoc-1.0-0.8.rc1.fc9, kdegames-4.1.0-2.fc9, akonadi-1.0.0-2.fc9, soprano-2.1-1.fc9, konq-plugins-4.1.0-2.fc9, compiz-0.7.6-3.fc9.1, qt-4.4.1-2.fc9, qscintilla-2.2-3.fc9, kdepimlibs-4.1.0-2.fc9, kdebindings-4.1.0-5.fc9, kdenetwork-4.1.0-2.fc9, kde-l10n-4.1.0-2.fc9, kdeplasma-addons-4.1.0-1.fc9, qgtkstyle-0.0-0.2.20080719svn693.fc9, kdeutils-4.1.0-1.fc9.1, kdemultimedia-4.1.0-1.fc9, kdeadmin-4.1.0-2.fc9, kde-filesystem-4-17.fc9, kdeaccessibility-4.1.0-1.fc9, kdebase-runtime-4.1.0-3.fc9, phonon-4.2.0-4.fc9, kdegraphics-4.1.0-5.fc9, kdelibs-4.1.0-7.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.